package org.jeecg.modules.jmreport.desreport.a.service.a;


import org.jeecg.modules.jmreport.common.expetion.JimuReportException;
import org.jeecg.modules.jmreport.common.vo.Result;
import org.jeecg.modules.jmreport.desreport.entity.JmReportDataSource;
import org.jeecg.modules.jmreport.desreport.entity.JmReportDb;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * @author shiqian
 * @date 2021年08月18日 15:45
 **/
public interface IJmReportDbService {

    JmReportDb saveDb(JmReportDb var1);

    List<List<Map>> fieldTree(String var1);

    boolean queryIsPage(String var1);

    Map<String, Object> executeSelectSql(String var1, String var2, Map<String, Object> var3);

    Map<String, Object> executeSelectApi(String var1, String var2, String var3, String var4, String var5);

    Map loadDbData(String var1);

    void delDbData(String var1);

    List<JmReportDataSource> initDataSource(String var1);

    void saveDbSource(JmReportDataSource var1);

    boolean querySourceCode(JmReportDataSource var1);

    void delDataSource(JmReportDataSource var1);

    List<Map<String, Object>> qurestechSql(JmReportDb var1);

    List<Map> parseData(Map<String, Object> var1);

    List<Map<String, Object>> loadDataSourceTable(String var1);

    Map<String, Object> loadTableData(String var1, String var2, Integer var3, Integer var4, String var5, String var6);

    Map<String, Object> parseReportSql(String var1, String var2, Object var3, String var4, String tableName) throws JimuReportException;

    Result addDataSource(JmReportDataSource var1, HttpServletRequest var2);

    List<Map<String, Object>> queryTableName(String var1, String var2);

    void updateById(JmReportDb var1);

    JmReportDb getById(String var1);

    int getCount(String var1, String var2);

    List<JmReportDb> getListReportDb(String var1);

}
